Has patch:
Subject: Inconsistent attribute naming in Form view helper
Description

The action link view helper uses the following attributes for specifying the action:

   <f:link.action action="show" controller="Post" package="Blog" ...

The form view helper, however, uses other attribute names:

   <f:form action="create" controllerName="Comment" packageName="Blog" subpackageName="Foo">

That is not only incosistent with the link view helper but also in general (we never use "packageName" but only "packageKey").

Please rename the attributes as follows:

controllerName -> controller
packageName -> package
subpackageName -> subpackage

Note that names like "controller", "package" etc. should only be used for attributes in Fluid templates. We make the exception there to
provide shorter names for the users. Generally in PHP code we'd rather use "controllerName", "packageKey" etc.

Related issues:
follows TYPO3.Flow - Feature # 4457: Improve UriBuilder Resolved 2009-09-04

History
#1 - 2009-09-04 11:13 - Robert Lemke
- Target version changed from 1.0.0 alpha 3 to 1.0

#2 - 2009-09-04 17:05 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

I'll take care of that during the UriBuilder rewrite (90% finished)

#3 - 2009-09-07 11:13 - Bastian Waidelich
- % Done changed from 0 to 100

Pending in #4457
#4 - 2009-09-15 16:27 - Bastian Waidelich

Applied in changeset r3131.

#5 - 2009-09-15 16:27 - Bastian Waidelich
- Status changed from New to Resolved
